*##### CHECK on SAMG #####

Parameter
 rowtot(ss,kk)       Row totals for SAMG
 coltot(ss,kk)       Column totals for SAMG

 BIGDIFFTOT2(ss,kk)  BIGDIFFTOT for Counts
 LRGDIFFTOT2(ss,kk)  LRGDIFFTOT for Counts
 ;

 rowtot(ssn,kk)     = SUM[ssnp,SAMG(ssn,ssnp,kk)] ;
 coltot(ssnp,kk)     = SUM[ssn,SAMG(ssn,ssnp,kk)] ;


* SAMG("ttotal",ssnp,kk) = SUM(ssn,SAMG(ssn,ssnp,kk)) ;
* SAMG(ssn,"ttotal",kk)  = SUM(ssnp,SAMG(ssn,ssnp,kk)) ;

* DIFFTOT(ssnp,kk)   = SAMG("ttotal",ssnp,kk) - SAMG(ssnp,"ttotal",kk) ;
 DIFFTOT(ssn,kk)   = rowtot(ssn,kk) - coltot(ssn,kk) ;

 DIFFTOT(ssn,kk)   = ROUND(DIFFTOT(ssn,kk),6 ) ;

 BIGDIFFTOT2(ssnp,kk)${ABS(DIFFTOT(ssnp,kk) GT 1.00)} = 1.0 ;
 BIGDIFFTOT(ssnp,kk)${ABS(DIFFTOT(ssnp,kk) GT 1.00)} = DIFFTOT(ssnp,kk) ;

 LRGDIFFTOT2(ssnp,kk)${ABS(DIFFTOT(ssnp,kk) GT 0.01)} = 1.0 ;
 LRGDIFFTOT(ssnp,kk)${ABS(DIFFTOT(ssnp,kk) GT 0.01)} = DIFFTOT(ssnp,kk) ;


 SUMDIFFTOT(kk)     = SUM(ssnp,DIFFTOT(ssnp,kk)) ;

 DIFFPER(ssnp,kk)$(SAMG("ttotal",ssnp,kk) + SAMG(ssnp,"ttotal",kk))
       = {DIFFTOT(ssnp,kk)/
          [(SAMG("ttotal",ssnp,kk) + SAMG(ssnp,"ttotal",kk))/2]} * 100 ;

 DIFFPER(ssnp,kk)   = ROUND(DIFFPER(ssnp,kk),6 ) ;

 BIGDIFFPER(ssnp,kk)$(ABS(DIFFPER(ssnp,kk) GT 0.01)) = DIFFPER(ssnp,kk) ;

* Counting big total and percentage differences

 DIFTOTPERCNT("st_gt5","diff_tot")
                        = SUM((ssn,kk)$(DIFFTOT(ssn,kk) > 5), 1) ;
 DIFTOTPERCNT("st_gt1","diff_tot")
                        = SUM((ssn,kk)$(DIFFTOT(ssn,kk) > 1), 1) ;
 DIFTOTPERCNT("st_gt05","diff_tot")
                        = SUM((ssn,kk)$(DIFFTOT(ssn,kk) > 0.5), 1) ;
 DIFTOTPERCNT("st_gt01","diff_tot")
                        = SUM((ssn,kk)$(DIFFTOT(ssn,kk) > 0.1), 1) ;
 DIFTOTPERCNT("st_gt001","diff_tot")
                        = SUM((ssn,kk)$(DIFFTOT(ssn,kk) > 0.01), 1) ;
 DIFTOTPERCNT("st_gt0001","diff_tot")
                        = SUM((ssn,kk)$(DIFFTOT(ssn,kk) > 0.001), 1) ;
 DIFTOTPERCNT("st_gt00001","diff_tot")
                        = SUM((ssn,kk)$(DIFFTOT(ssn,kk) > 0.0001), 1) ;
 DIFTOTPERCNT("st_gt000001","diff_tot")
                        = SUM((ssn,kk)$(DIFFTOT(ssn,kk) > 0.00001), 1) ;
 DIFTOTPERCNT("st_gt0000001","diff_tot")
                        = SUM((ssn,kk)$(DIFFTOT(ssn,kk) > 0.000001), 1) ;

 DIFTOTPERCNT("st_gt5","diff_per")
                        = SUM((ssn,kk)$(DIFFPER(ssn,kk) > 5), 1) ;
 DIFTOTPERCNT("st_gt1","diff_per")
                        = SUM((ssn,kk)$(DIFFPER(ssn,kk) > 1), 1) ;
 DIFTOTPERCNT("st_gt05","diff_per")
                        = SUM((ssn,kk)$(DIFFPER(ssn,kk) > 0.5), 1) ;
 DIFTOTPERCNT("st_gt01","diff_per")
                        = SUM((ssn,kk)$(DIFFPER(ssn,kk) > 0.1), 1) ;
 DIFTOTPERCNT("st_gt001","diff_per")
                      = SUM((ssn,kk)$(DIFFPER(ssn,kk) > 0.01), 1) ;
 DIFTOTPERCNT("st_gt0001","diff_per")
                        = SUM((ssn,kk)$(DIFFPER(ssn,kk) > 0.001), 1) ;
 DIFTOTPERCNT("st_gt00001","diff_per")
                        = SUM((ssn,kk)$(DIFFPER(ssn,kk) > 0.0001), 1) ;
 DIFTOTPERCNT("st_gt000001","diff_per")
                        = SUM((ssn,kk)$(DIFFPER(ssn,kk) > 0.00001), 1) ;
 DIFTOTPERCNT("st_gt0000001","diff_per")
                        = SUM((ssn,kk)$(DIFFPER(ssn,kk) > 0.000001), 1) ;

 DIFTOTPERCNT("st_gt5","diff_tot_per")
                        = SUM((ssn,kk)$((DIFFTOT(ssn,kk) > 5)
                              AND (DIFFPER(ssn,kk) > 5)), 1) ;
 DIFTOTPERCNT("st_gt1","diff_tot_per")
                        = SUM((ssn,kk)$((DIFFTOT(ssn,kk) > 1)
                              AND (DIFFPER(ssn,kk) > 1)), 1) ;
 DIFTOTPERCNT("st_gt05","diff_tot_per")
                        = SUM((ssn,kk)$((DIFFTOT(ssn,kk) > 0.5)
                              AND (DIFFPER(ssn,kk) > 0.5)), 1) ;
 DIFTOTPERCNT("st_gt01","diff_tot_per")
                        = SUM((ssn,kk)$((DIFFTOT(ssn,kk) > 0.1)
                              AND (DIFFPER(ssn,kk) > 0.1)),  1) ;
 DIFTOTPERCNT("st_gt001","diff_tot_per")
                        = SUM((ssn,kk)$((DIFFTOT(ssn,kk) > 0.01)
                              AND (DIFFPER(ssn,kk) > 0.01)),  1) ;
 DIFTOTPERCNT("st_gt0001","diff_tot_per")
                        = SUM((ssn,kk)$((DIFFTOT(ssn,kk) > 0.001)
                              AND (DIFFPER(ssn,kk) > 0.001)),  1) ;
 DIFTOTPERCNT("st_gt00001","diff_tot_per")
                        = SUM((ssn,kk)$((DIFFTOT(ssn,kk) > 0.0001)
                              AND (DIFFPER(ssn,kk) > 0.0001)),  1) ;
 DIFTOTPERCNT("st_gt000001","diff_tot_per")
                        = SUM((ssn,kk)$((DIFFTOT(ssn,kk) > 0.00001)
                              AND (DIFFPER(ssn,kk) > 0.00001)),  1) ; ;
 DIFTOTPERCNT("st_gt0000001","diff_tot_per")
                        = SUM((ssn,kk)$((DIFFTOT(ssn,kk) > 0.000001)
                              AND (DIFFPER(ssn,kk) > 0.000001)),  1) ;

option decimals = 6 ;

DISPLAY DIFFTOT, BIGDIFFTOT, LRGDIFFTOT, SUMDIFFTOT, DIFFPER, BIGDIFFPER,
        DIFTOTPERCNT ;

* BIGDIFFTOT(ssnp,kk) = 0.0 ;

* LRGDIFFTOT(ssnp,kk) = 0.0 ;
